URL structure
Supported methods and overview
POST- used to export a list of field information for all API-based requests made to the Covata Platform’s Access Service.
Detailed description
This API endpoint exports a list of field information for all API-based requests made to the Covata Platform’s Access Service.Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide): The Covata Platform’s resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Content-Type: application/x-www-form-urlencoded
Optional parameters
The following optional parameters can be sent in the body of the request (as form URL-encoded data):- action - CREATED, DELETED, RETRIEVED, UPDATED.
- apiType - AUTH, COLLABORATIONS, COLLECTIONS, CONTACTS, KEYS, NOTIFICATIONS, OBJECTS, USERS.
- clientId - .
- email - .
- endTime - .
- exportFormat - csv, pdf (default is csv).
- pageSize - .
- pageStart - .
- startTime - . Example ():
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
